Draft Offset/sv

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Offset and the translation is 4% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Mirror.svg Mirror
Next: Trimex Draft Trimex.svg Arrow-right.svg

Draft Offset.svg {{{Name/sv}}}

Menyplacering
Draft → Offset
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Part 2D Offset

Beskrivning

Detta verktyg gör en offset på det valda objektet. Om inget objekt är valt, så kommer du ombes att välja ett. Sedan ombes du om en punkt som ger avståndet för offseten från det markerade objektet.

Draft Offset example.jpg

Offsetting a Draft Wire

Bruk

See also: Draft Snap and Draft Constrain.

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa dig till det nuvarande segmentet, iställed för att markera det närmaste.
  • Om du trycker på ESC så avbryts funktionen.
  • C växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
  • Nedtryckning av ALT kommer att skapa en kopia, även om kopieringsknappen är av.
  • Om ALT är nedtryckt, så kan du göra multipla kopior ända tills ALT släpps.

Options

The single character keyboard shortcuts and the modifier keys mentioned here can be changed. See Draft Preferences.

  • If the OCC-style offset checkbox is checked a special offset style is used: open Draft Wires are offset on both sides, and new edges are connected with rounded corners. This only works for planar Draft objects with at least two straight edges. Note that with this style a new non-parametric object is created, and if copy mode is off the original object is deleted.
  • Press P or click the Copy checkbox to toggle copy mode. If copy mode is on, the command will create an offset copy instead of offsetting the original object.
  • Holding down Alt before picking points in the 3D view will also toggle copy mode. While Alt is held down multiple offset points can be picked. Release Alt to finish the command and see the created copies.
  • Hold down Shift to keep the offset distance linked to the current segment.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • To create an offset version of a Draft BSpline its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a Draft BSpline the Part Offset2D command should be used.
  • The Draft Offset command cannot handle Draft BezCurves. Use the Part Offset2D command instead.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To offset objects use the offset method of the Draft module. The method can only handle Draft Wires, Draft Circles, Draft Rectangles, Draft Polygons and Draft BSplines.

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • obj is the object to be offset.
  • delta contains the offset information:
  • If copy is True the original object is kept and a new object is created.
  • If bind is True a face is created by connecting the shape of the original object and the shape of its offset. This only works for open Draft Wires.
  • If sym is True, and bind is True as well, the offset is made on both sides of the original object, the total width being the length of the given vector. This only works for open Draft Wires.
  • If occ is True OCC-style offsetting is used. See Options. If occ is True the bind and sym arguments are ignored.
  • offset_obj is returned with the original offset object, or with the new object. If bind is True or occ is True, the new object is a Part::Feature object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()


Arrow-left.svg Previous: Draft Mirror.svg Mirror
Next: Trimex Draft Trimex.svg Arrow-right.svg